/* ***************************************************************** */
/*                                                                   */
/* Licensed Materials - Property of IBM                              */
/*                                                                   */
/* L-AENR-7AYBE2                                                     */
/*                                                                   */
/* Copyright IBM Corp. 2007, 2008  All Rights Reserved               */
/*                                                                   */
/* US Government Users Restricted Rights - Use, duplication or       */
/* disclosure restricted by GSA ADP Schedule Contract with           */
/* IBM Corp.                                                         */
/*                                                                   */
/* ***************************************************************** */

package com.ibm.productivity.tools.samples.views.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.ui.actions.ActionFactory.IWorkbenchAction;

import com.ibm.productivity.tools.samples.views.WriterView;
import com.sun.star.text.XTextDocument;
import com.sun.star.uno.UnoRuntime;

/**
 * This demo action replace the document text with a demo string
 *
 */
public class Demo2Action extends Action implements IWorkbenchAction {

	public void dispose() {

	}

	public void run() {
		// get the document service
		XTextDocument document = (XTextDocument) UnoRuntime.queryInterface(
				XTextDocument.class, WriterView.getCurrentUNOModel());
		document.getText().setString("demo string");
	}
}
